Status: Closed   

Priority: Normal   

Category:    

Customer: VW Product Issue

Numbers:

https://support.digitalwerk.net/projects/do

wnload-center/wiki/FAQ's#Q-Which-clas

s-ids-CID-are-changed-in-ADTF-330-

Department:  Affected Products: ADTF 3 Support Toolbox 3.0.0, ADTF

3.3.3

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF3SupportTB::Common

Resolution: Workaround Available FAQ Links:  

Description

Supportanfrage

Gerade wollte ich mal die ADTF2 Toolbox 3.0.0 testen.

Nachdem ich alles richtig konfiguriert habe wird mir beim starten mitgeteilt, dass das adtf2_support.adtfplugin nicht gefunden werden

kann.

Wie komme ich denn da ran?

Im Download-Archiv kann ich es nicht finden.

Lösung

Die Class IDs mussten geändert werden (siehe ADTF 3.3.0 is now available), das ist natürlich im Bsp. der Support TB nix

berücksichigt.

Lass am besten das kleine Tool drüber laufen, dann sollte es wieder passen in der ADTF 3 Session.

Ansonsten läuft das Bsp., wichtig ist, dass der ADTF 3 Launcher im PATH findbar ist (ansonsten musst du im Skript den vollen Pfad

angeben).

Und der ADTF 3 konforme ADTF 2 Wrapper Launcher (Support TB) im ADTF 3 Control Settings definiert ist (siehe Doku)

History

#1 - 2018-11-28 15:36 - hidden

Bitte testet nochmal ob das Beispiel überhaupt noch läuft denn ADTF2 kann auch nicht richtig gestartet werden.

#2 - 2018-11-29 08:31 - hidden

- Project changed from Public Support to 20

- Status changed from New to In Progress

- Topic set to ADTF3SupportTB::Common

#3 - 2018-11-29 08:36 - hidden

- Status changed from In Progress to Customer Feedback Required

- Customer set to VW

Hallo Timo,

die Class IDs mussten geändert werden (siehe ADTF 3.3.0 is now available), das ist natürlich im Bsp. der Support TB nix berücksichigt.

Lass am besten das kleine Tool drüber laufen, dann sollte es wieder passen in der ADTF 3 Session.

Ansonsten läuft das Bsp., wichtig ist, dass der ADTF 3 Launcher im PATH findbar ist (ansonsten musst du im Skript den vollen Pfad angeben).

Und der ADTF 3 konforme ADTF 2 Wrapper Launcher (Support TB) im ADTF 3 Control Settings definiert ist (siehe Doku)
https://support.digitalwerk.net/news/47
support.digitalwerk.net/adtf_addons/adtf3-support-toolbox/v3/api/page_example_sessions.html
support.digitalwerk.net/adtf_addons/adtf3-support-toolbox/v3/api/page_launcher_config.html
https://support.digitalwerk.net/news/47
support.digitalwerk.net/adtf_addons/adtf3-support-toolbox/v3/api/page_example_sessions.html
support.digitalwerk.net/adtf_addons/adtf3-support-toolbox/v3/api/page_launcher_config.html


#4 - 2018-11-29 12:34 - hidden

Florian Roth wrote:

Hallo Timo,

die Class IDs mussten geändert werden (siehe ADTF 3.3.0 is now available), das ist natürlich im Bsp. der Support TB nix berücksichigt.

Lass am besten das kleine Tool drüber laufen, dann sollte es wieder passen in der ADTF 3 Session.

Ansonsten läuft das Bsp., wichtig ist, dass der ADTF 3 Launcher im PATH findbar ist (ansonsten musst du im Skript den vollen Pfad angeben).

Und der ADTF 3 konforme ADTF 2 Wrapper Launcher (Support TB) im ADTF 3 Control Settings definiert ist (siehe Doku)

 Ich werde das morgen testen. Das scheint genau die Doku gewesen zu sein (siehe ADTF 3.3.0 is now available) die mir hier gefehlt hat. Aber: hätte

man dann nicht eine neue support toolbox releasen müssen? Oder zumindestens die news in das changelog schreiben müssen?

Problem ist ja: am Ende hat man ein ADTF Release auf seinem Rechner und versucht mit der dort sich befindlichen Doku auszukommen.

Trotzdem Vielen Dank für die Hilfe.

P.S.: die Launcher settings hatte ich schon angepasst nur passt hier in Realität auch die Doku der Toolbox nicht.

#5 - 2018-11-30 07:56 - hidden

Hallo Timo,

hätte man dann nicht eine neue support toolbox releasen müssen?

 Ja, aber das haben wir noch nicht geschafft.

Der Grund dafür ist die Priorisierung, da für den Fall der Support TB ja ein Workaround existiert, es betrifft ja "nur" das Bsp., wenn du es händisch

zusammenbaust, geht es.

Das ist der saure Apfel, in den wir beißen müssen.

Oder zumindestens die news in das changelog schreiben müssen?

 Ja, bin ich voll bei dir, deshalb wurde das auch im Redesign der Doku zur 3.4 berücksichtigt.

die Launcher settings hatte ich schon angepasst nur passt hier in Realität auch die Doku der Toolbox nicht.

 Was genau meinst du, was passt nicht ?

#6 - 2018-12-06 08:37 - hidden

- Project changed from 20 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Workaround Available

- Product Issue Numbers set to https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-Which-class-ids-CID-are-changed-in-ADTF-330-

#7 - 2019-01-18 10:29 - hidden

- Status changed from To Be Closed to Closed
